org.eclipse.wst.jsdt.chromium.debug.core.efs

## Class ChromiumScriptFileStore

- java.lang.Object
- - FileStore
  - - org.eclipse.wst.jsdt.chromium.debug.core.efs.ChromiumScriptFileStore

    public class ChromiumScriptFileStore
    extends FileStore

A script file store. Delegates all operations to the ChromiumScriptStorage instance.

### Constructor Summary

Constructors
Constructor and Description
`ChromiumScriptFileStore(ChromiumScriptFileSystem fileSystem, IPath path)` Constructs a proxy for a real resource (which might not exist).

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String[]` `childNames(int options, IProgressMonitor monitor)`
`void` `delete(int options, IProgressMonitor monitor)`
`IFileInfo` `fetchInfo(int options, IProgressMonitor monitor)`
`IFileStore` `getChild(java.lang.String name)`
`java.lang.String` `getName()`
`IFileStore` `getParent()`
`IFileStore` `mkdir(int options, IProgressMonitor monitor)`
`java.io.InputStream` `openInputStream(int options, IProgressMonitor monitor)`
`java.io.OutputStream` `openOutputStream(int options, IProgressMonitor monitor)`
`void` `putInfo(IFileInfo info, int options, IProgressMonitor monitor)`
`java.net.URI` `toURI()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ChromiumScriptFileStore

    public ChromiumScriptFileStore(ChromiumScriptFileSystem fileSystem,
                                   IPath path)

Constructs a proxy for a real resource (which might not exist).

Parameters:
  `fileSystem` - that stores the resource
  `path` - of the resource

### Method Detail

#### childNames

    public java.lang.String[] childNames(int options,
                                         IProgressMonitor monitor)
                                  throws CoreException

Throws:
  `CoreException`

#### fetchInfo

    public IFileInfo fetchInfo(int options,
                               IProgressMonitor monitor)
                        throws CoreException

Throws:
  `CoreException`

#### getChild

    public IFileStore getChild(java.lang.String name)

#### getName

    public java.lang.String getName()

#### getParent

    public IFileStore getParent()

#### openInputStream

    public java.io.InputStream openInputStream(int options,
                                               IProgressMonitor monitor)
                                        throws CoreException

Throws:
  `CoreException`

#### openOutputStream

    public java.io.OutputStream openOutputStream(int options,
                                                 IProgressMonitor monitor)
                                          throws CoreException

Throws:
  `CoreException`

#### mkdir

    public IFileStore mkdir(int options,
                            IProgressMonitor monitor)
                     throws CoreException

Throws:
  `CoreException`

#### toURI

    public java.net.URI toURI()

#### delete

    public void delete(int options,
                       IProgressMonitor monitor)
                throws CoreException

Throws:
  `CoreException`

#### putInfo

    public void putInfo(IFileInfo info,
                        int options,
                        IProgressMonitor monitor)
                 throws CoreException

Throws:
  `CoreException`